// Client of the HelloWorld component

#include <CORBA.h>
#include <mico/CosNaming.h>
#include "hello.h"

int
main(int argc, char *argv[])
{
  CORBA::ORB_var orb = CORBA::ORB_init(argc, argv);
  CORBA::Object_var obj = orb->resolve_initial_references("NameService");
  CosNaming::NamingContextExt_var nc = 
    CosNaming::NamingContextExt::_narrow(obj);

  obj = nc->resolve_str("HelloHome");

  HelloHome_var hh = HelloHome::_narrow(obj);
  HelloWorld_var hw = hh->create();

  hw->message("Hello World");
  hw->configuration_complete();
  hw->sayHello();
  hw->remove();

  return 0;
}
